Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.samcivics.type.v1
Class PriceType

    java.lang.Object
      be.fgov.ehealth.samcivics.type.v1.PriceType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-07-06T09:31:40+02:00",
               comments="JAXB RI v2.2.6")
    public class PriceType

extends Object
implements Serializable

Java class for PriceType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PriceType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="startDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="endDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="priceAmnt" type="{http://www.w3.org/2001/XMLSchema}float" minOccurs="0"/>
             <element name="reimbBasePrice" type="{http://www.w3.org/2001/XMLSchema}float" minOccurs="0"/>
             <element name="referenceBasePrice" type="{http://www.w3.org/2001/XMLSchema}float" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`PriceType()`

Method Summary
`org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
`Float` | `getPriceAmnt()` Gets the value of the priceAmnt property.
`Float` | `getReferenceBasePrice()` Gets the value of the referenceBasePrice property.
`Float` | `getReimbBasePrice()` Gets the value of the reimbBasePrice property.
`org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
`void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
`void` | `setPriceAmnt(Float value)` Sets the value of the priceAmnt property.
`void` | `setReferenceBasePrice(Float value)` Sets the value of the referenceBasePrice property.
`void` | `setReimbBasePrice(Float value)` Sets the value of the reimbBasePrice property.
`void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PriceType

    public PriceType()

Method Detail

### getStartDate

    public org.joda.time.DateTime getStartDate()

  Gets the value of the startDate property.

  Returns:
    possible object is `String`

### setStartDate

    public void setStartDate(org.joda.time.DateTime value)

  Sets the value of the startDate property.

  Parameters:
    `value` - allowed object is `String`

### getEndDate

    public org.joda.time.DateTime getEndDate()

  Gets the value of the endDate property.

  Returns:
    possible object is `String`

### setEndDate

    public void setEndDate(org.joda.time.DateTime value)

  Sets the value of the endDate property.

  Parameters:
    `value` - allowed object is `String`

### getPriceAmnt

    public Float getPriceAmnt()

  Gets the value of the priceAmnt property.

  Returns:
    possible object is `Float`

### setPriceAmnt

    public void setPriceAmnt(Float value)

  Sets the value of the priceAmnt property.

  Parameters:
    `value` - allowed object is `Float`

### getReimbBasePrice

    public Float getReimbBasePrice()

  Gets the value of the reimbBasePrice property.

  Returns:
    possible object is `Float`

### setReimbBasePrice

    public void setReimbBasePrice(Float value)

  Sets the value of the reimbBasePrice property.

  Parameters:
    `value` - allowed object is `Float`

### getReferenceBasePrice

    public Float getReferenceBasePrice()

  Gets the value of the referenceBasePrice property.

  Returns:
    possible object is `Float`

### setReferenceBasePrice

    public void setReferenceBasePrice(Float value)

  Sets the value of the referenceBasePrice property.

  Parameters:
    `value` - allowed object is `Float`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.